function QuickIronheadBoss()
    KEY()
    SGP("CS_mychar_jackfish",43,12,1,"CS_mychar_jackfish_p1")
    SGP("CS_mychar_santafish",42,11,1,"CS_mychar_santafish_p2")
    SGP("CS_mychar_puppyfish",42,13,1,"CS_mychar_puppyfish_p3")
    HMC(0)
    HMC(1)
    --更换操控角色
    SPL(0,"CS_mychar_jackfish_p1")
    SPL(1,"CS_mychar_santafish_p2")
    --如果只有1个玩家
    if(GOP() == 1) then
        AGP("CS_mychar_santafish_p2",true)--玩家2由AI控制
    end
    AGP("CS_mychar_puppyfish_p3",true)--小狗由AI控制
    CNP("DefeatedIronhead","CS_boss_ironhead",0,0)
    MNP("DefeatedIronhead","Ironhead1")
    DNP("Ironhead1")
    --封锁出口
    SNP("CS_bubblewall_unbreakable",2,20,0,"mainLayer","BubbleWall1")
    SNP("CS_bubblewall_unbreakable",3,20,0,"mainLayer","BubbleWall1")
    SNP("CS_bubblewall_unbreakable",4,20,0,"mainLayer","BubbleWall1")
    SNP("CS_bubblewall_unbreakable",63,4,0,"mainLayer","BubbleWall1")
    SNP("CS_bubblewall_unbreakable",64,4,0,"mainLayer","BubbleWall1")
    SNP("CS_bubblewall_unbreakable",65,4,0,"mainLayer","BubbleWall1")
    WAI(1)
    LIP(1000)MIP(1000)
    FAI(3)
    BSL("DefeatedIronhead")
    CMU("CS_OppressionBetaExtra")
end

--击败了铁头
function DefeatedIronhead()
    KEY()
    CMU("CS_Fanfale3")
    MS4("\n铁头 被击败了！")WAI(140)NOD()CLO()
    FLP("DefeatedIronhead")
    FAO(4)
    --切换回杰克桑塔
    SPL(0,"CS_mychar_jack_p1")
    SPL(1,"CS_mychar_santa_p2")
    SMC(0)
    SMC(1)
    DGP("CS_mychar_jackfish_p1")
    DGP("CS_mychar_santafish_p2")
    DGP("CS_mychar_puppyfish_p3")
    TRA("CS_bossrush_mainstage","E0090",15,41)
end

function Died()
    CMU("XXXX")WAI(30)
    FAO(2)
    --切换回杰克桑塔
    SPL(0,"CS_mychar_jack_p1")
    SPL(1,"CS_mychar_santa_p2")
    SMC(0)
    SMC(1)
    DGP("CS_mychar_jackfish_p1")
    DGP("CS_mychar_santafish_p2")
    DGP("CS_mychar_puppyfish_p3")
    SMC(0)SMC(1)LIP(1000)MIP(1000)TRA("CS_bossrush_mainstage","E0090",15,41)
end

function DeathByMovingPlatform()
    Died()
end